# osgshadowtexture.cpp File Reference

`#include <osg/Notify>`
`#include <osg/MatrixTransform>`
`#include <osg/ShapeDrawable>`
`#include <osg/PositionAttitudeTransform>`
`#include <osg/Geometry>`
`#include <osg/Texture2D>`
`#include <osg/Geode>`
`#include <osgUtil/Optimizer>`
`#include <osgDB/Registry>`
`#include <osgDB/ReadFile>`
`#include <osgProducer/Viewer>`
`#include "CreateShadowedScene.h"`
`#include "../osghangglide/terrain_coords.h"`

Include dependency graph for osgshadowtexture.cpp:

## Functions

osg::AnimationPath * | createAnimationPath (const osg::Vec3 &center, float radius, double looptime)
osg::Node * | createBase (const osg::Vec3 &center, float radius)
osg::Node * | createMovingModel (const osg::Vec3 &center, float radius)
osg::Node * | createModel ()
int | main (int argc, char **argv)

## Function Documentation

osg::AnimationPath* createAnimationPath | ( | const osg::Vec3 & | center,
|  | float | radius,
|  | double | looptime
| ) |

osg::Node* createBase | ( | const osg::Vec3 & | center,
|  | float | radius
| ) |

osg::Node* createModel | ( |  | ) |

osg::Node* createMovingModel | ( | const osg::Vec3 & | center,
|  | float | radius
| ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |